WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
Better support for IIS7 (1 post)

  1. grahman
    Member
    Posted 1 year ago #

    I run a couple of WordPress installations on IIS7. When enabling features of this plugin that require modification to the rewrite rules (e.g. .htaccess on apache), I am told that the rewrite rules could not be written to the file (because I have that disabled), but that I can find them in the dashboard and add them myself. However, when I go there, I see nothing.

    I looked at the code. It appears this is because IIS7 is unsupported. This is understandable, but the messaging is inconsistent. It seems to me, either the promise to find rewrite rules in the dashboard should be modified to be consistent with the user's actual experience on IIS, or the Rewrite Rules section of the dashboard should be updated to notify the user they are on an unsupported platform.

    For those of us who are familiar with the .htaccess and/or nginx rules, you could also offer the option to view one or both of those as a reference point for the user to implement their own rewrite rules in their unsupported server.

    Finally, I'd love it if the plugin could add support for IIS7 specifically. The rewrite rules for IIS7 are easily translated from the .htaccess rules. I have done so and would be glad to share my particular configuration if it would help in the development of IIS7 support.

    Here's a great reference for implementing rewrite rules on IIS7: http://www.iis.net/learn/extensions/url-rewrite-module/url-rewrite-module-configuration-reference

    http://wordpress.org/extend/plugins/better-wp-security/

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags